#
# Postal Code resolution service for network clients.
#
# Could implement a DRb and TCP/UDP server.
#
# Requires in user code would look like this:
#
#   require 'postal_code/tcpserver'
#
# or
#
#   require 'postal_code/drbserver'
#

__END__

require_relative '../postal_code'

# DRb
require 'drb'

$SAFE = 1   # disable eval() and friends
URI = "druby://127.0.0.1:8787"

class PostalCode::DRbServer

  def initialize host, port
  end

  def postal_code code
    # could return more than one line
    #zip, city, state = %x[grep ^#{code} #{DB}].split("\t")
    #Time.now
    #"#{zip},#{city},#{state}"
    code
  end

end

DRb.start_service(URI, PCode.new)
DRb.thread.join


__END__

# TCP
require 'socket'

server = TCPServer.new('127.0.0.1', 5100)
loop do
  client = server.accept
  client.gets
  client.puts 'Hello!'
  client.puts "Time is #{Time.now}"
  client.close
end
